Forums » 3rd Party Product Discussions

SocialEngine PHP 5.2.0 Release

    • 40 posts
    July 15, 2020 8:35 PM EDT

    Do I have to upgrade to SocialEngine PHP 5.2.0 or wait until the plugin upgrade from 3rd party?

    • Moderator
    • 21 posts
    July 16, 2020 4:12 AM EDT

    Hi Arazindo,

    We always recommend clients to use the Latest Software on their websites. 

    If you are using any of the 3rd Party Developer Plugins, I would suggest taking a confirmation from them once. Normally, 3rd party developers release a blog post for informing the clients for the compatibility of their plugins with the latest SE. 

    Still, you may drop an email to their support for knowing the compatibility status. Also, we recommend getting upgrades done from qualified technicians only for avoiding any major issues. 

    Drop a line in case you need any other assistance with this. 

    Thanks!

    • Moderator
    • 5035 posts
    July 16, 2020 4:49 AM EDT

    Another tip. I personally recommend having a development site and upgrading that first. It should be a clone of your main site. If on local computer, you have no license restrictions. If on your server, then you need to follow the license terms.

    1. Put it in a subdomain named development.

    2. Have it password protected access or set it to maintenance mode which requires a code to access the site.

    As long as you have only one development site on your server, and as long as it follows the above, you are fine with the license. Then, you can do the upgrade yourself and see how it goes. As long as you don't have plugins that modify source files or database, the upgrade should be smooth. As our release blog and post say, always check with third party experts whose products you use before you upgrade. https://www.socialengine.com/support/article/5145140/se-php-performing-upgrades

    • 40 posts
    July 20, 2020 4:22 PM EDT

    thanks for the info

    I just got msg from SNS 

    "We would like to inform you that our all the plugins are compatible with  SocialEngine PHP 5.2.1."

    But when I check their plugin, the plugin is still old version  5.0.0 -  5.1.0p2, there are no update plugin to 5.2.1 in SNS

    What do you think?

    Is it safe to upgrade to SocialEngine PHP 5.2.1 ??

     

    • Moderator
    • 5035 posts
    July 20, 2020 5:52 PM EDT

    If they tested and say they work then that's great. I suggest to always upgrade a development site first.